Package it.ernytech.tdlib

## Class TdApi.DeviceToken

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.DeviceToken

Direct Known Subclasses:
  `TdApi.DeviceTokenApplePush`, `TdApi.DeviceTokenApplePushVoIP`, `TdApi.DeviceTokenBlackBerryPush`, `TdApi.DeviceTokenGoogleCloudMessaging`, `TdApi.DeviceTokenMicrosoftPush`, `TdApi.DeviceTokenMicrosoftPushVoIP`, `TdApi.DeviceTokenSimplePush`, `TdApi.DeviceTokenTizenPush`, `TdApi.DeviceTokenUbuntuPush`, `TdApi.DeviceTokenWebPush`, `TdApi.DeviceTokenWindowsPush`

Enclosing class:
  TdApi

    public abstract static class TdApi.DeviceToken
    extends TdApi.Object

This class is an abstract base class. Represents a data needed to subscribe for push notifications. To use specific push notification service, you must specify the correct application platform and upload valid server authentication data at https://my.telegram.org.

### Constructor Summary

Constructors
`DeviceToken()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### DeviceToken

    public DeviceToken()